Skip to main content

Endpoint

GET https://api.eachlabs.ai/v1/model

Query Parameters

ParameterTypeRequiredDescription
slugstringYesModel slug identifier (e.g., flux-1-1-pro)

Code Examples

curl "https://api.eachlabs.ai/v1/model?slug=flux-1-1-pro" \
  -H "X-API-Key: YOUR_API_KEY"

Response

{
  "title": "Flux 1.1 Pro",
  "slug": "flux-1-1-pro",
  "version": "1.0",
  "output_type": "string",
  "request_schema": {
    "type": "object",
    "required": ["prompt"],
    "properties": {
      "prompt": {
        "type": "string",
        "minLength": 10,
        "maxLength": 500
      }
    }
  }
}

Response Fields

FieldTypeDescription
titlestringHuman-readable model name
slugstringUnique model identifier
versionstringModel version
output_typestringOutput type (string, array, object)
request_schemaobjectJSON Schema defining valid input parameters

Error Responses

StatusBodyDescription
400{"error": "slug parameter is required"}Missing slug parameter
404{"error": "Failed to fetch model: model not found"}Model with this slug doesn’t exist
500{"error": "Failed to fetch models: internal error"}Server error
Last modified on March 3, 2026